<?php
namespace EMS\PortalFuncionario\Geral\Services;

use Zeedhi\Framework\Controller\Crud;
use Doctrine\ORM\EntityManager;

use EMS\PortalFuncionario\Geral\Repository\PeriodoApuracaoRepository;

class PeriodoApuracaoService extends Crud {

    public function __construct(EntityManager $entityManager, PeriodoApuracaoRepository $periodoApuracaoRepository) {
        $this->entityManager                = $entityManager;
        $this->periodoApuracaoRepository    = $periodoApuracaoRepository;
    }

    public function getPeriodoByNrperiodoapuracao(
        $nrorg,
        $nrperiodoapuracao
    ) {
        return $this->periodoApuracaoRepository->getPeriodoByNrperiodoapuracao(
            $nrorg,
            $nrperiodoapuracao
        );
    }
  
}